import { useWeAppAuthStore } from '@/common'
import { getDay, showCurrentTime, showWeekDay } from '@/common/libraries/day'
import { ref } from 'vue'
const auth = useWeAppAuthStore()
export default {
  devicePosition: ref('back'),
  time: ref(showCurrentTime()),
  day: ref(getDay()),
  weekDay: ref(showWeekDay()),
  address: ref<any>({ address: '暂无地址',formatted_address: '暂无地址' }),
  userInfo: ref(auth?.data?.user),
  source: ref('save')
}
